DOPOWERHOOKS(9)

NAME
dopowerhooks - run all power hooks

SYNOPSIS
void
doshutdownhooks(int why);

DESCRIPTION
The dopowerhooks() function invokes all power hooks established using the powerhook_establish(9) function. Power hooks are called in reverse order, i.e., the power hook established last will be called first.

This function is called from the apm(4) driver when a power change is detected.

SEE ALSO
powerhook_establish(9)